Subject: Re: [MMUSIC] ice-options attribute: session- and media-level?
From: Marc Petit-Huguenin <[email-masked]>
To: Suhas Nandakumar <[email-masked]>, Peter Saint-Andre <[email-masked]>
Cc: mmusic WG <[email-masked]>
Date: Mon, 23 Apr 2018 09:45:14 -0700
List-Id: Multiparty Multimedia Session Control Working Group <mmusic.ietf.org>

This was done as a consequence of merging this draft in ice-bis:

https://www.ietf.org/archive/id/draft-petithuguenin-mmusic-ice-attributes-level-04.txt

There is probably discussions that can be found in the minutes of IETF meetings around that time when the WG agreed to that modification.

On 04/20/2018 11:09 PM, Suhas Nandakumar wrote:
> I am fine with considering ice-options has session level too. I wonder if
> Marc can chime in on considering it as  media level in the ice-sip-sdp.
> 
> On Fri, Apr 20, 2018 at 12:07 PM, Peter Saint-Andre <[email-masked]>
> wrote:
> 
>> On 4/20/18 12:37 PM, Roman Shpount wrote:
>>> Hi All,
>>>
>>> I do not think ice-options was ever used as a media level attribute.
>>> Only two ice-options defined in IANA registry
>>> (https://www.iana.org/assignments/ice/ice.xhtml) are ice2 and  rtp+ecn,
>>> which are both session level.
>>>
>>> Furthermore, RFC 5245 section 15.5
>>> (https://tools.ietf.org/html/rfc5245#section-15.5,) defined that
>>> ice-options attribute is session level only. Thus, ice-options should be
>>> kept session level for backwards compatibility.
>>>
>>> If something more granular then session is needed, I think it should go
>>> into candidate extension attribute, not into media level ice-options.
>>>
>>> Bottom line, I think ice-options should be a a session level only
>> attribute.
>>
>> Agreed.
>>
>> In the Trickle ICE spec, we also limited the `trickle` option to session
>> level only.
>>
>> Peter
>>
>>

-- 
Marc Petit-Huguenin
Email: [email-masked]
Blog: https://marc.petit-huguenin.org
Profile: https://www.linkedin.com/in/petithug